#pragma once
#include "Entity.h"
#include "CS_Enemy_LaserTrapSight.h"
#define CS_AMLASER_CREATENAME L"CS_am_laser"
//¼¤¹â
class CS_AmLaser :
    public Entity
{
public:
    CS_AmLaser();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    void DeltaTime(float deltaTime) override;//»æÖÆ¸üÐÂ
    void Destroy() override;
    std::weak_ptr<CS_Enemy_LaserTrapSight> signt;
    int stateID = 0;
    float lineX = 0;
    float lineY = 0;
    float last_lineX = 0;
    float last_lineY = 0;
    float angle = 0;
    float rotate_speed = 0;
    int laser_color_counter = 0;
    DWORD laser_color = 0;
};

std::shared_ptr<Entity> CreateCS_AmLaser();